cURL
curl -X POST https://api.aiql.io/convert \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url": "https://example.com/report.pdf"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
markdown = client.tools.convert(url="https://example.com/report.pdf")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const markdown = await client.tools.convert({ url: "https://example.com/report.pdf" });"<string>"{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tools
Convert
POST
/
convert
cURL
curl -X POST https://api.aiql.io/convert \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url": "https://example.com/report.pdf"}'import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
markdown = client.tools.convert(url="https://example.com/report.pdf")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const markdown = await client.tools.convert({ url: "https://example.com/report.pdf" });"<string>"{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Body
application/json
URL of the source to convert. Accepts a file URL of any extension, a web page, a YouTube video, or any other URL.
Response
Successful Response
The response is of type string.